Bug 1265334 - rdo-manager liberty instack undercloud puppet apply fails w/ missing package dep pyinotify
rdo-manager liberty instack undercloud puppet apply fails w/ missing package ...
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: instack-undercloud (Show other bugs)
trunk
Unspecified Unspecified
high Severity high
: ---
: trunk
Assigned To: James Slagle
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 12:56 EDT by wes hayutin
Modified: 2017-06-18 02:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-18 02:30:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2015-09-22 12:56:45 EDT
Description of problem:

Using liberty/trunk rdo

rdo-manager instack-undercloud install fails w/

ESC[mNotice: /Stage[main]/Nova::Compute/Nova::Generic_service[compute]/Service[nova-compute]: Triggered 'refresh' from 2 eventsESC[0m
ESC[mNotice: /Stage[main]/Nova/Exec[networking-refresh]: Dependency Service[nova-compute] has failures: trueESC[0m
ESC[1;31mWarning: /Stage[main]/Nova/Exec[networking-refresh]: Skipping because of failed dependenciesESC[0m
ESC[mNotice: /Stage[main]/Neutron::Agents::Ml2::Ovs/Service[neutron-ovs-agent-service]/ensure: ensure changed 'stopped' to 'running'ESC[0m
ESC[mNotice: /Stage[main]/Heat/Heat_config[oslo_messaging_rabbit/rabbit_host]/ensure: createdESC[0m
ESC[mNotice: /Stage[main]/Heat::Db::Sync/Exec[heat-dbsync]/returns: Traceback (most recent call last):ESC[0m
ESC[mNotice: /Stage[main]/Heat::Db::Sync/Exec[heat-dbsync]/returns:   File "/usr/bin/heat-manage", line 6, in <module>ESC[0m
ESC[mNotice: /Stage[main]/Heat::Db::Sync/Exec[heat-dbsync]/returns:     from heat.cmd.manage import mainESC[0m
ESC[mNotice: /Stage[main]/Heat::Db::Sync/Exec[heat-dbsync]/returns:   File "/usr/lib/python2.7/site-packages/heat/cmd/manage.py", line 23, in <module>ESC[0m
ESC[mNotice: /Stage[main]/Heat::Db::Sync/Exec[heat-dbsync]/returns:     from oslo_log import logESC[0m
ESC[mNotice: /Stage[main]/Heat::Db::Sync/Exec[heat-dbsync]/returns:   File "/usr/lib/python2.7/site-packages/oslo_log/log.py", line 53, in <module>ESC[0m
ESC[mNotice: /Stage[main]/Heat::Db::Sync/Exec[heat-dbsync]/returns:     from oslo_log import handlersESC[0m
ESC[mNotice: /Stage[main]/Heat::Db::Sync/Exec[heat-dbsync]/returns:   File "/usr/lib/python2.7/site-packages/oslo_log/handlers.py", line 19, in <module>ESC[0m
ESC[mNotice: /Stage[main]/Heat::Db::Sync/Exec[heat-dbsync]/returns:     import pyinotifyESC[0m
ESC[mNotice: /Stage[main]/Heat::Db::Sync/Exec[heat-dbsync]/returns: ImportError: No module named pyinotifyESC[0m
ESC[1;31mError: /Stage[main]/Heat::Db::Sync/Exec[heat-dbsync]: Failed to call refresh: heat-manage --config-file /etc/heat/heat.conf db_sync returned 1 instead of one of [0]
ESC[0m
Comment 1 wes hayutin 2015-09-22 13:02:16 EDT
repos used.
pkgsack time: 7.916
Repo-id      : base/7/x86_64
Repo-name    : CentOS-7 - Base
Repo-revision: 1427842153
Repo-updated : Tue Mar 31 22:50:46 2015
Repo-pkgs    : 8,629
Repo-size    : 6.3 G
Repo-baseurl : http://mirror.centos.org/centos/7/os/x86_64/
Repo-expire  : 21,600 second(s) (last: Tue Sep 22 15:20:14 2015)
Repo-excluded: 23
Repo-filename: /etc/yum.repos.d/CentOS-Base.repo

Repo-id      : delorean
Repo-name    : delorean-openstack-designate-93d572e47a8d4b59462ddfea33cd6224adb9b55d
Repo-revision: 1442934584
Repo-updated : Tue Sep 22 15:09:53 2015
Repo-pkgs    : 246
Repo-size    : 56 M
Repo-baseurl : http://trunk.rdoproject.org/centos7/93/d5/93d572e47a8d4b59462ddfea33cd6224adb9b55d_72fe6f51/
Repo-expire  : 21,600 second(s) (last: Tue Sep 22 15:20:14 2015)
Repo-excluded: 120
Repo-filename: /etc/yum.repos.d/rdo-trunk-release.repo

Repo-id      : delorean-common-testing/x86_64
Repo-name    : delorean-common-testing
Repo-revision: 1442664070
Repo-tags    : binary-x86_64
Repo-updated : Sat Sep 19 12:01:11 2015
Repo-pkgs    : 483
Repo-size    : 305 M
Repo-baseurl : http://cbs.centos.org/repos/cloud7-openstack-common-testing/x86_64/os/
Repo-expire  : 21,600 second(s) (last: Tue Sep 22 15:20:15 2015)
Repo-filename: /etc/yum.repos.d/rdo-trunk-release-deps.repo

Repo-id      : delorean-liberty-testing/x86_64
Repo-name    : delorean-liberty-testing
Repo-revision: 1442915446
Repo-tags    : binary-x86_64
Repo-updated : Tue Sep 22 09:50:47 2015
Repo-pkgs    : 18
Repo-size    : 8.9 M
Repo-baseurl : http://cbs.centos.org/repos/cloud7-openstack-liberty-testing/x86_64/os/
Repo-expire  : 21,600 second(s) (last: Tue Sep 22 15:20:15 2015)
Repo-filename: /etc/yum.repos.d/rdo-trunk-release-deps.repo

Repo-id      : epel/x86_64
Repo-name    : Extra Packages for Enterprise Linux 7 - x86_64
Repo-revision: 1442795974
Repo-tags    : binary-x86_64
Repo-updated : Mon Sep 21 01:31:12 2015
Repo-pkgs    : 8,105
Repo-size    : 6.4 G
Repo-metalink: https://mirrors.fedoraproject.org/metalink?repo=epel-7&arch=x86_64
  Updated    : Mon Sep 21 01:31:12 2015
Repo-baseurl : http://archive.linux.duke.edu/pub/epel/7/x86_64/ (35 more)
Repo-expire  : 21,600 second(s) (last: Tue Sep 22 15:20:16 2015)
Repo-excluded: 418
Repo-filename: /etc/yum.repos.d/epel.repo

Repo-id      : extras/7/x86_64
Repo-name    : CentOS-7 - Extras
Repo-revision: 1442604491
Repo-updated : Fri Sep 18 19:28:26 2015
Repo-pkgs    : 204
Repo-size    : 920 M
Repo-baseurl : http://mirror.centos.org/centos/7/extras/x86_64/
Repo-expire  : 21,600 second(s) (last: Tue Sep 22 15:20:16 2015)
Repo-excluded: 10
Repo-filename: /etc/yum.repos.d/CentOS-Base.repo

Repo-id      : openstack-kilo
Repo-name    : OpenStack Kilo Repository
Repo-revision: 1442871336
Repo-updated : Mon Sep 21 21:35:53 2015
Repo-pkgs    : 107
Repo-size    : 101 M
Repo-baseurl : http://repos.fedorapeople.org/repos/openstack/openstack-kilo/el7/
Repo-expire  : 21,600 second(s) (last: Tue Sep 22 15:21:17 2015)
Repo-excluded: 822
Repo-filename: /etc/yum.repos.d/rdo-release.repo

Repo-id      : updates/7/x86_64
Repo-name    : CentOS-7 - Updates
Repo-revision: 1442614716
Repo-updated : Fri Sep 18 22:20:08 2015
Repo-pkgs    : 1,477
Repo-size    : 4.0 G
Repo-baseurl : http://mirror.centos.org/centos/7/updates/x86_64/
Repo-expire  : 21,600 second(s) (last: Tue Sep 22 15:21:18 2015)
Repo-excluded: 3
Repo-filename: /etc/yum.repos.d/CentOS-Base.repo

repolist: 19,269
Comment 2 wes hayutin 2015-09-22 13:02:30 EDT
FIX is here.. https://review.gerrithub.io/#/c/247999/1
Comment 3 Alan Pevec 2015-09-23 06:08:58 EDT
(In reply to wes hayutin from comment #2)
> FIX is here.. https://review.gerrithub.io/#/c/247999/1

Yes, and trunk repo snapshot used
http://trunk.rdoproject.org/centos7/93/d5/93d572e47a8d4b59462ddfea33cd6224adb9b55d_72fe6f51/

doesn't include the fix. Fixed in python-oslo-log since:
http://trunk.rdoproject.org/centos7/5b/af/5bafc90f8c58307b7ad770ef3a2b912683331c1e_3ce30a66/
Comment 5 Christopher Brown 2017-06-17 13:06:49 EDT
This should be closed or updated if still a problem.

Note You need to log in before you can comment on or make changes to this bug.